# Uses of Class
org.springframework.beans.factory.parsing.Location

Packages that use Location
Package
Description
org.springframework.beans.factory.parsing
Support infrastructure for bean definition parsing.

## Uses of Location in org.springframework.beans.factory.parsing

Methods in org.springframework.beans.factory.parsing that return Location
Modifier and Type
Method
Description
`Location`
Problem.`getLocation()`
Get the location within a bean configuration source that triggered the error.
Constructors in org.springframework.beans.factory.parsing with parameters of type Location
Modifier
Constructor
Description
``
`Problem(String message, Location location)`
Create a new instance of the `Problem` class.
``
`Problem(String message, Location location, ParseState parseState)`
Create a new instance of the `Problem` class.
``
`Problem(String message, Location location, ParseState parseState, Throwable rootCause)`
Create a new instance of the `Problem` class.